.page-loaders {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1100;
  background-color: #283a86;
  height: 100vh;
  width: 100vw;
}

/* --- اصلاح شده: همیشه وسط، چه loader باشه چه دایره‌ها --- */
.loading-center {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);

  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  width: auto;
  height: auto;
  gap: 15px;
}

.loading-center span{
  padding-top: 12px;
  font-size: 14px;
}
/* ---------------------------------------------- */

.logo-spin {
  animation: spin 4s linear infinite;
  transform-origin: center;
  width: 90px;
  height: auto;
}

@keyframes spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
